<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
if(trim(strtoupper($_SESSION['esAdmin_p_prov_absa'])) != "SI"){
	if(trim(strtoupper($_SESSION['todo_RFC_p_prov_absa'])) != "SI"){
		?><script>$j_6.messager.alert("Error","No tiene permisos de cambiar de empresa.","error");</script><?exit;
	}
	$arrEmpresas = explode(",",$_SESSION['sesion_ref_rfc_receptor']);
	if(!in_array($_POST["rfc_empresa_cambio"],$arrEmpresas)){
		?><script>$j_6.messager.alert("Error","No tiene permiso de ingresar a la empresa seleccionada.","error");</script><?exit;
	}
}
$_SESSION['RFC_RECEPTOR_PORTAL'] = $_POST["rfc_empresa_cambio"];
?><script>window.location.href="admin.php";</script>
						
						